<CsoundSynthesizer> 
<CsOptions> 
</CsOptions>
<CsInstruments>

sr = 44100
kr = 4410
ksmps = 10
nchnls = 2
0dbfs = 1

#include	"resonatori.h"



	instr	1

	
a1,a2 ins
kreso chnget "select"
kdamp chnget "damp"

kfrq chnget "freq"


if (kreso == 0) kgoto Membrane
if (kreso == 1) kgoto Chimetube1
if (kreso == 2) kgoto Chimetube2
if (kreso == 3) kgoto Chimetube3
if (kreso == 4) kgoto Chimetube4
if (kreso == 5) kgoto Potlit
if (kreso == 6) kgoto Jegoganbars
if (kreso == 7) kgoto Aluminumbar
if (kreso == 8) kgoto Woodenbar
if (kreso == 9) kgoto DouglasFirwood
if (kreso == 10) kgoto Redwood
if (kreso == 11) kgoto RedCedar
if (kreso == 12) kgoto Bayantabla
if (kreso == 13) kgoto Dahinatabla
if (kreso == 14) kgoto WineGlass
if (kreso == 15) kgoto Vibraphone1
if (kreso == 16) kgoto Vibraphone2
if (kreso == 17) kgoto Spinelsphere
if (kreso == 18) kgoto SmallHandbell
if (kreso == 19) kgoto Tibetanbowl
if (kreso == 20) kgoto Tibetanbowl2
if (kreso == 21) kgoto Tibetanbowl3


Membrane:

afilt1 Membrane a1,kfrq,kdamp
afilt2 Membrane a2,kfrq,kdamp
kgoto output

Chimetube1:
afilt1 Chime_tube1 a1,kfrq,kdamp
afilt2 Chime_tube1 a2,kfrq,kdamp
kgoto output

Chimetube2:
afilt1 Chime_tube2 a1,kfrq,kdamp
afilt2 Chime_tube2 a2,kfrq,kdamp
kgoto output

Chimetube3:
afilt1 Chime_tube3 a1,kfrq,kdamp
afilt2 Chime_tube3 a2,kfrq,kdamp
kgoto output

Chimetube4:
afilt1 Chime_tube4 a1,kfrq,kdamp
afilt2 Chime_tube4 a2,kfrq,kdamp
kgoto output

Potlit:
afilt1 Pot_lit a1,kfrq*0.8,kdamp
afilt2 Pot_lit a2,kfrq*0.8,kdamp
kgoto output

Jegoganbars:
afilt1 Jegogan_bars a1,kfrq,kdamp
afilt2 Jegogan_bars a2,kfrq,kdamp
kgoto output


Aluminumbar:
afilt1 Aluminum_bar a1,kfrq*0.6,kdamp
afilt2 Aluminum_bar a2,kfrq*0.6,kdamp
kgoto output

Woodenbar:
afilt1 Wooden_bar a1,kfrq,kdamp
afilt2 Wooden_bar a2,kfrq,kdamp
kgoto output

DouglasFirwood:
afilt1 Douglas_Fir_wood a1,kfrq,kdamp
afilt2 Douglas_Fir_wood a2,kfrq,kdamp
kgoto output

Redwood:
afilt1 Redwood a1,kfrq,kdamp
afilt2 Redwood a2,kfrq,kdamp
kgoto output

RedCedar:
afilt1 Red_Cedar a1,kfrq,kdamp
afilt2 Red_Cedar a2,kfrq,kdamp
kgoto output

Bayantabla:
afilt1 Bayan_tabla a1,kfrq,kdamp
afilt2 Bayan_tabla a2,kfrq,kdamp
kgoto output

Dahinatabla:
afilt1 Dahina_tabla a1,kfrq,kdamp
afilt2 Dahina_tabla a2,kfrq,kdamp
kgoto output 

WineGlass:
afilt1 Wine_Glass a1,kfrq,kdamp
afilt2 Wine_Glass a2,kfrq,kdamp
kgoto output 

Vibraphone1:
afilt1 Vibraphone1 a1,kfrq*0.3,kdamp
afilt2 Vibraphone1 a2,kfrq*0.3,kdamp
kgoto output 
     
Vibraphone2:
afilt1 Vibraphone2 a1,kfrq*0.3,kdamp
afilt2 Vibraphone2 a2,kfrq*0.3,kdamp
kgoto output 

Spinelsphere:
afilt1 Spinel_sphere a1,kfrq,kdamp
afilt2 Spinel_sphere a2,kfrq,kdamp
kgoto output     

SmallHandbell:
afilt1 Small_Handbell a1,kfrq,kdamp
afilt2 Small_Handbell a2,kfrq,kdamp
kgoto output  

Tibetanbowl:
afilt1 Tibetan_bowl a1,kfrq*0.7,kdamp
afilt2 Tibetan_bowl a2,kfrq*0.7,kdamp
kgoto output  

Tibetanbowl2:
afilt1 Tibetan_bowl2 a1,kfrq*0.7,kdamp
afilt2 Tibetan_bowl2 a2,kfrq*0.7,kdamp
kgoto output 

Tibetanbowl3:
afilt1 Tibetan_bowl3 a1,kfrq*0.7,kdamp
afilt2 Tibetan_bowl3 a2,kfrq*0.7,kdamp
kgoto output 

   

output:


outs	afilt1,afilt2
		endin
</CsInstruments>
<CsScore>


i1 0 99999
</CsScore>

</CsoundSynthesizer>