/*
Randomizes (arcsine) a 1d array of float values 
as rhythms for the preprocessor cscore2.c file
J. Hearon 9/1/2011
*/


#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdarg.h>
#include <math.h>

int randRange_rhy1D(int n)
{
    int top = ((((RAND_MAX-n)+1)/n)*n-1)+n;
    int r;
    do
    {
        r = rand();
    }
    while (r>top);
    return r%n;
}

float *rhy1Dinput(float *rhy1Dreturnarray)
{
    int x = 1;
    //int index = 1;
    int rand(void);
    int values, f, n, h, nums;
    int l = 1;
    float *s, *t;
    double r, u;

    struct timeval  t1;

first:
    s=(float*)calloc(1000,sizeof(float));/*pointer 's' is allocated 1000
				  floats and treated like an array */
    t=(float*)calloc(1000,sizeof(float));

    printf("\n");
    printf("Enter the number of values to input: ");
    scanf("%d",&nums);
    h = nums + 1; //highest equals the number of values + 1

    printf ("\n");
    x=1;
    do
    {
        printf("Enter value #%d, (Ex. 0.25): ", x);
        scanf("%f",&s[x]);
        x++;
    }
    while (x < nums+1);
    printf("\n\n");

    printf("How many values to be returned: ");
    scanf("%d",&values);

//++++++++++++++++++++
//
//  randomize values (arcsine)
//
//++++++++++++++++++++
    t[0] = 0.0;
    for (x=1; x<=values; x++)
    {
next:
        gettimeofday(&t1, NULL);
        srand(t1.tv_usec * t1.tv_sec);

        r = ((double)rand()/((double)(RAND_MAX)+(double)(1))); /*scales value of 'r' to 0..1 */
        r = r + randRange_rhy1D(2); //makes 'top' of the range 1.  Thus 0 > r < 2.
        //adjust top when RAND_MAX will not allow random selections
        //in the algorithms below.
        //printf(" %4.6f ", r);

        u=pow(sin(3.1459*(double)r/(double)2),2); //arcsine dist
        f=(int)(u*h-1)+1; //limits between ranges
        if(f<l || f>h-1)  /*avoid out of bounds nums */
        {
            goto next;
        }
        t[x]= s[f];
    } //end for loop
    t[values+1] = 0.0; //this is for printf from main.c
//+++++++++++++++++++++

    printf("Here's the spin...");
    printf("\n");
    for(x=1; x<=values; x++)
    {
        printf("%2.4f\n", t[x]);
    }
    printf("\n\n");
//++++++++++++++++++++
//
//  Switch to try another spin
//
//++++++++++++++++++++
    printf("try again? 1 for yes, 2 for no: ");
    scanf("%d", &n);
    switch (n)
    {
        //case 1: goto start;
    case 1:
        free(s);
        free(t);
        goto first;
        break;
    case 2:
        printf("\nbye");
        break;
    }//ends switch
    printf("\n");

    free(s);
    return t;
    free(t);
}

